#ifndef COLOR_H
#define COLOR_H

#include <exec/types.h>
#include <intuition/intuition.h>

#define COLORNAME	"color.library"
#define COLORVERSION	1L

struct ColorBase;

long DoColor(UWORD *defaultTable, struct Screen *screen);

#ifndef NO_PRAGMAS
#pragma libcall ColorBase DoColor		001E	9802
#endif

#define COLOR_ERROR_LIBRARY_IN_USE	-4
#define COLOR_ERROR_NULL_SCREEN		-3
#define COLOR_ERROR_NO_DEPTH		-2
#define COLOR_ERROR_CANT_OPEN_WINDOW	-1
#define COLOR_ERROR_ALL_OK		 0

#endif
